{
  num: -356033,
  accuracy: 100,
  basePower: 15,
  category: "Special",
  name: "Frost Statue",
  pp: 5,
  priority: 0,
  flags: { protect: 1},
  multihit: [3, 6],
  target: "allAdjacentFoes",
  type: "Ice",

  
  onHit(target, source) {
    
    if (target.fainted) return;

    
    if (!target.status && this.randomChance(2, 5)) {
      target.setStatus('frz', source);
    }

    
    if (!target.volatiles['confusion'] && this.randomChance(2, 5)) {
      target.addVolatile('confusion');
    }
  },

  
  secondary: null
}